cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements
Announcements
Choose one of the topics below to view our ISE Resources to help you on your journey with ISE

This community is for technical, feature, configuration and deployment questions.
For production deployment issues, please contact the TAC! We will not comment or assist with your TAC case in these forums.
Please see How to Ask the Community for Help for other best practices.

3441
Views
4
Helpful
6
Replies
Highlighted
Participant

ISE upgrade issue

Trying to upgrade from 1.1.1.268 patch 5 to 1.1.2.145.  It fails saying the package isn't correct format via GUI.  Tried via CLI and I see this in the logs.

Jan  3 18:25:42 oranetise02 debugd[2507]: [22327]: application:install cars_install.c[245] [<removed>]: Install initiated with bundle - ise-appbundle-1.1.2.145.i386.tar.gz, repo - Patches

Jan  3 18:25:42 oranetise02 debugd[2507]: [22327]: application:install cars_install.c[259] [<removed>]: Stage area - /storeddata/Installing/.1357237542

Jan  3 18:25:42 oranetise02 debugd[2507]: [22327]: application:install cars_install.c[263] [<removed>]: Getting bundle to local machine

Jan  3 18:25:42 oranetise02 debugd[2507]: [22327]: transfer: cars_xfer.c[54] [<removed>]: ftp copy in of ise-appbundle-1.1.2.145.i386.tar.gz requested

Jan  3 18:26:12 oranetise02 debugd[2507]: [22327]: application:install cars_install.c[272] [<removed>]: Got bundle at - /storeddata/Installing/.1357237542/ise-appbundle-1.1.2.145.i386.tar.gz

Jan  3 18:26:12 oranetise02 debugd[2507]: [22327]: application:install cars_install.c[282] [<removed>]: Unbundling package ise-appbundle-1.1.2.145.i386.tar.gz

Jan  3 18:26:52 oranetise02 debugd[2507]: [22327]: application:install cars_install.c[294] [<removed>]: Unbundling done. Verifying input parameters...

Jan  3 18:26:52 oranetise02 debugd[2507]: [22327]: application:install cars_install.c[316] [<removed>]: Manifest file is at - /storeddata/Installing/.1357237542/manifest.xml

Jan  3 18:26:52 oranetise02 debugd[2507]: [22327]: application:install cars_install.c[326] [<removed>]: Manifest file appname - ise

Jan  3 18:26:52 oranetise02 debugd[2507]: [22327]: application:install cars_install.c[364] [<removed>]:  Patch bundle contains patch((null))  for app version(1.1.2.145)

Jan  3 18:26:52 oranetise02 debugd[2507]: [22327]: application:install cars_install.c[367] [<removed>]: Patch  for application version (1.1.2.145) is not matching the installed app version

Jan  3 18:26:53 oranetise02 debugd[2507]: [22327]: application:install install_cli.c[691] [<removed>]: error message: Patch cannot be applied to the installed application version.

Jan  3 18:26:53 oranetise02 debugd[2507]: [22327]: application:install install_cli.c[694] [<removed>]: Error while Installing - Patch bundle: ise-appbundle-1.1.2.145.i386.tar.gz  Repository: Patches ErrorCode: -623 Jan  3 18:25:42 oranetise02 debugd[2507]: [22327]: application:install cars_install.c[245] [<removed>]: Install initiated with bundle - ise-appbundle-1.1.2.145.i386.tar.gz, repo - Patches
Jan  3 18:25:42 oranetise02 debugd[2507]: [22327]: application:install cars_install.c[259] [<removed>]: Stage area - /storeddata/Installing/.1357237542
Jan  3 18:25:42 oranetise02 debugd[2507]: [22327]: application:install cars_install.c[263] [<removed>]: Getting bundle to local machine
Jan  3 18:25:42 oranetise02 debugd[2507]: [22327]: transfer: cars_xfer.c[54] [<removed>]: ftp copy in of ise-appbundle-1.1.2.145.i386.tar.gz requested
Jan  3 18:26:12 oranetise02 debugd[2507]: [22327]: application:install cars_install.c[272] [<removed>]: Got bundle at - /storeddata/Installing/.1357237542/ise-appbundle-1.1.2.145.i386.tar.gz
Jan  3 18:26:12 oranetise02 debugd[2507]: [22327]: application:install cars_install.c[282] [<removed>]: Unbundling package ise-appbundle-1.1.2.145.i386.tar.gz
Jan  3 18:26:52 oranetise02 debugd[2507]: [22327]: application:install cars_install.c[294] [<removed>]: Unbundling done. Verifying input parameters...
Jan  3 18:26:52 oranetise02 debugd[2507]: [22327]: application:install cars_install.c[316] [<removed>]: Manifest file is at - /storeddata/Installing/.1357237542/manifest.xml
Jan  3 18:26:52 oranetise02 debugd[2507]: [22327]: application:install cars_install.c[326] [<removed>]: Manifest file appname - ise
Jan  3 18:26:52 oranetise02 debugd[2507]: [22327]: application:install cars_install.c[364] [<removed>]:  Patch bundle contains patch((null))  for app version(1.1.2.145)
Jan  3 18:26:52 oranetise02 debugd[2507]: [22327]: application:install cars_install.c[367] [<removed>]: Patch  for application version (1.1.2.145) is not matching the installed app version
Jan  3 18:26:53 oranetise02 debugd[2507]: [22327]: application:install install_cli.c[691] [<removed>]: error message: Patch cannot be applied to the installed application version.
Jan  3 18:26:53 oranetise02 debugd[2507]: [22327]: application:install install_cli.c[694] [<removed>]: Error while Installing - Patch bundle: ise-appbundle-1.1.2.145.i386.tar.gz  Repository: Patches ErrorCode: -623

Everyone's tags (3)
1 ACCEPTED SOLUTION

Accepted Solutions
Advocate

Re:ISE upgrade issue

David,

You can only upgrade the ise node when its standalone mode and through cli. Please use the application upgrade command to do the upgrade.

Here is some reference material.

http://www.cisco.com/en/US/docs/security/ise/1.1.1/upgrade_guide/upg_standalone.html


Sent from Cisco Technical Support Android App

Tarik Admani
*Please rate helpful posts*

View solution in original post

6 REPLIES 6
Advocate

Re:ISE upgrade issue

David,

You can only upgrade the ise node when its standalone mode and through cli. Please use the application upgrade command to do the upgrade.

Here is some reference material.

http://www.cisco.com/en/US/docs/security/ise/1.1.1/upgrade_guide/upg_standalone.html


Sent from Cisco Technical Support Android App

Tarik Admani
*Please rate helpful posts*

View solution in original post

Cisco Employee

Re: ISE upgrade issue

David,

You cannot upgrade to 1.1.2 from 1.1.1 patch 5. You will need to drop down to patch 3. Do apply patch 2 on 1.1.2 to get the fixes that came out in 1.1.1 patch 4 and 5.

Participant

Re: ISE upgrade issue

You are saying I have to downgrade from 1.1.1 patch 5 to patch 3 and then upgrade to 1.1.2, then apply patch 2? That doesn't make sense.  I followed Tarik's advice and it worked fine, but I would like to know why you say that.  It was my understanding the patches are cumulative so patch 5 has all the previous patches included.

Cisco Employee

Re: ISE upgrade issue

David,

ISE 1.1.2 was release before ISE 1.1.1 patch 4. So some fixes that went into patch 4 and 5 did not make it to 1.1.2. Patch 2 on 1.1.2 covers that gap.

Participant

Re: ISE upgrade issue

Based on what you say I could see not upgrading from 1.1.1 patch 3 directly to 1.1.2, but if I was already running 1.1.1 patch 5 why would I not upgrade directly to 1.1.2 and then apply patch 2 for 1.1.2?

Cisco Employee

Re: ISE upgrade issue

To avoid contratictory fixes. Essentially, with patch 5 you aply a fix. Upgrade to 1.1.2 removes it (or even worse case leaves orphaned files etc. since it does not know about the fix) and then patch 2 applies it back. It will work fine as long as the "fix" is exactly the same. That assumption can be wrong.

Even the release notes were made to reflect that an upgrade to 1.1.2 requires you to be at 1.1.1 patch 3.